Subject: Re: DC/UID

From: [email-masked] (Richard V Huber)
Date: Thu, 12 Dec 2002 15:29:31 -0500

The reference for domainComponent is RFC 2247, not RFC 1274.  But
incorporating it directly sounds OK to me.

Rick Huber

: From [email-masked] Thu Dec 12 12:29:03 2002
: Return-Path: <[email-masked]>
: To: [email-masked]
: From: "Kurt D. Zeilenga" <[email-masked]>
: Subject: DC/UID
: Sender: [email-masked]
: 
: RFC 2253 included DC (domainComponent) and UID (userid) in the
: list of attribute types which are be recognized in DNs, but
: did not provide a reference to where these attributes are defined.
: The most obvious reference would be RFC 1274.
: 
: To avoid adding a reference to RFC 1274 and possible other RFCs,
: I suggest the specifications for DC and UID be directly incorporated
: into draft-ietf-ldapbis-user-schema.
: 
:  X.Y. dc
: 
:    The DC (domainComponent) attribute type specifies one
:    component of a domain name.  For example, "example" or "com".
:    (Source: RFC 1274)
:    
:     ( 0.9.2342.19200300.100.1.25 NAME 'dc'
:      EQUALITY caseIgnoreIA5Match
:      SUBSTR caseIgnoreIA5SubstringsMatch
:      SYNTAX 1.3.6.1.4.1.1466.115.121.1.26 SINGLE-VALUE )         
: 
:  X.Z. uid
: 
:    The uid (userid) attribute type specifies a computer system
:    login name.  (Source: RFC 1274)
:                  
:     ( 0.9.2342.19200300.100.1.1
:       NAME ( 'uid' 'userid' )
:       EQUALITY caseIgnoreMatch
:       SUBSTR caseIgnoreSubstringsMatch
:       SYNTAX 1.3.6.1.4.1.1466.115.121.1.15{256} )
: 
: 
: This will also require adding a description for the
: caseIgnoreIA5SubstringsMatch rule to draft-ietf-ldapbis-syntax:
: 
:     ( 1.3.6.1.4.1.1466.109.114.3
: 	 NAME 'caseIgnoreIA5SubstringsMatch'
:         SYNTAX 1.3.6.1.4.1.1466.115.121.1.58 )
: 
: comments?
: 
: 	Kurt